import "gtk3" Graphics.UI.Gtk
import Graphics.Rendering.Cairo

drawEventHandler ::  Render()
drawEventHandler =
   do
    setSourceRGB 1.0 0.0 0.0
    rectangle 20 20 100 100
    fill
    setSourceRGB 0.0 1.0 0.0
    rectangle 70 70 100 100
    fill
    setSourceRGB 0.0 0.0 1.0
    rectangle 120 120 100 100
    fill
     
           
destroyEventHandler :: IO ()
destroyEventHandler =
  do mainQuit

  
main :: IO ()
main = do
    initGUI
    window <- windowNew
    paintArea <- drawingAreaNew
    set window [windowDefaultWidth := 250,
                windowDefaultHeight := 250,
                windowWindowPosition := WinPosCenter,
                windowTitle := "DrawingArea Demo",
                containerChild := paintArea]
    widgetModifyBg paintArea StateNormal (Color 65535 65535 65535)
    on paintArea draw $ drawEventHandler
    on window objectDestroy destroyEventHandler
    widgetShow paintArea
    widgetShow window
    mainGUI
